Accept an exact organization IU Rate Card offer
curl --request POST \
--url https://api.interchange.io/api/v2/billing/iu-rate-card/accept \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"offerVersion": "<string>",
"planId": "<string>",
"idempotencyKey": "<string>"
}
'import requests
url = "https://api.interchange.io/api/v2/billing/iu-rate-card/accept"
payload = {
"offerVersion": "<string>",
"planId": "<string>",
"idempotencyKey": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({offerVersion: '<string>', planId: '<string>', idempotencyKey: '<string>'})
};
fetch('https://api.interchange.io/api/v2/billing/iu-rate-card/accept', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "<string>",
"acceptingCustomerId": 4503599627370496,
"contractId": "<string>",
"agreementDocumentId": "<string>",
"tosVersion": "<string>",
"rateCardId": "<string>",
"rateCardPublicVersion": "<string>",
"planId": "<string>",
"planCode": "<string>",
"planName": "<string>",
"predecessorBindingId": "<string>",
"offerVersion": "<string>",
"termStart": "2023-11-07T05:31:56Z",
"termEnd": "2023-11-07T05:31:56Z",
"listCommitmentMinor": 4503599627370495,
"listOverageUnitAmountMinor": 4503599627370495,
"includedIus": 4503599627370495,
"discountAuthorizationId": "<string>",
"discountBasisPoints": 4999,
"netCommitmentMinor": 4503599627370495,
"netOverageUnitAmountMinor": 4503599627370495,
"billingPeriodMonths": 1,
"rolloverPolicy": {
"capBasisPoints": 2500,
"expiresAfterBillingPeriods": 1
},
"paymentTermsDays": 4503599627370496,
"acceptedByUserId": "<string>",
"acceptedAt": "2023-11-07T05:31:56Z",
"activityTerms": [
{
"activityCode": "ACTIVATED_SOCIAL_ACCOUNT_MONTH",
"displayName": "<string>",
"iuAmountMilli": 1073741824,
"billingPeriodMonths": 1,
"includedBackfillMonths": 60
}
],
"effectiveRateCard": {
"version": "<string>",
"displayName": "<string>",
"commercialOfferId": "<string>",
"renewalBehavior": "PIN_EXACT",
"adjustments": {
"price": {
"kind": "PERCENT",
"basisPoints": 5000
},
"platform": null,
"activityTerms": [],
"setupCredit": null
}
}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Buyer Billing
Accept an exact organization IU Rate Card offer
Creates the one initial immutable IU-plan binding for a direct human organization admin. The server re-resolves the Rate Card, activity terms, plan, governing agreement, and corporate discount; a changed displayed offer must be reviewed again.
POST
/
billing
/
iu-rate-card
/
accept
Accept an exact organization IU Rate Card offer
curl --request POST \
--url https://api.interchange.io/api/v2/billing/iu-rate-card/accept \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"offerVersion": "<string>",
"planId": "<string>",
"idempotencyKey": "<string>"
}
'import requests
url = "https://api.interchange.io/api/v2/billing/iu-rate-card/accept"
payload = {
"offerVersion": "<string>",
"planId": "<string>",
"idempotencyKey": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({offerVersion: '<string>', planId: '<string>', idempotencyKey: '<string>'})
};
fetch('https://api.interchange.io/api/v2/billing/iu-rate-card/accept', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "<string>",
"acceptingCustomerId": 4503599627370496,
"contractId": "<string>",
"agreementDocumentId": "<string>",
"tosVersion": "<string>",
"rateCardId": "<string>",
"rateCardPublicVersion": "<string>",
"planId": "<string>",
"planCode": "<string>",
"planName": "<string>",
"predecessorBindingId": "<string>",
"offerVersion": "<string>",
"termStart": "2023-11-07T05:31:56Z",
"termEnd": "2023-11-07T05:31:56Z",
"listCommitmentMinor": 4503599627370495,
"listOverageUnitAmountMinor": 4503599627370495,
"includedIus": 4503599627370495,
"discountAuthorizationId": "<string>",
"discountBasisPoints": 4999,
"netCommitmentMinor": 4503599627370495,
"netOverageUnitAmountMinor": 4503599627370495,
"billingPeriodMonths": 1,
"rolloverPolicy": {
"capBasisPoints": 2500,
"expiresAfterBillingPeriods": 1
},
"paymentTermsDays": 4503599627370496,
"acceptedByUserId": "<string>",
"acceptedAt": "2023-11-07T05:31:56Z",
"activityTerms": [
{
"activityCode": "ACTIVATED_SOCIAL_ACCOUNT_MONTH",
"displayName": "<string>",
"iuAmountMilli": 1073741824,
"billingPeriodMonths": 1,
"includedBackfillMonths": 60
}
],
"effectiveRateCard": {
"version": "<string>",
"displayName": "<string>",
"commercialOfferId": "<string>",
"renewalBehavior": "PIN_EXACT",
"adjustments": {
"price": {
"kind": "PERCENT",
"basisPoints": 5000
},
"platform": null,
"activityTerms": [],
"setupCredit": null
}
}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Body
application/json
Response
Accept an exact organization IU Rate Card offer
Show child attributes
Show child attributes
⌘I